Subject: Re: [PATCH net-next v4] net: ipv6: Make address flushing on ifdown optional

From: David Ahern <[email-masked]>
Date: Wed, 7 Oct 2015 11:01:53 -0600

On 10/7/15 9:43 AM, Sowmini Varadhan wrote:
> On Wed, Oct 7, 2015 at 11:17 AM, David Ahern <[email-masked]> wrote:
>> Currently, all ipv6 addresses are flushed when the interface is configured
>> down, including global, static addresses:
>    :
>>
>> Add a new sysctl to make this behavior optional. The new setting defaults to
>> flush all addresses to maintain backwards compatibility. When the setting is
>> reset global addresses with no expire times are not flushed:
>
> does src addr selection also need to be modified to know if/when it can/cannot
> use this static address as a source addr? Or does the TENTATIVE flag
> make it Do The Right Thing per rfc 3484?
>

When the device is set 'down' (admin state) all routes (including cached 
ones) for the device are cleared so there should not be any way to 
select the source address that is saved. i.e, ipv6_dev_get_saddr() 
should not get invoked for the device.